--- old/usr/src/cmd/fm/fmstat/common/fmstat.c	Thu Jan 17 14:53:10 2019
+++ new/usr/src/cmd/fm/fmstat/common/fmstat.c	Thu Jan 17 14:53:10 2019
@@ -24,6 +24,10 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <fm/fmd_adm.h>
 
 #include <strings.h>
@@ -373,7 +377,7 @@
 }
 
 /*ARGSUSED*/
-static int
+static void
 stat_one_xprt(id_t id, void *ignored)
 {
 	fmd_adm_stats_t ams;
@@ -381,7 +385,7 @@
 
 	if (fmd_adm_xprt_stats(g_adm, id, &ams) != 0) {
 		warn("failed to retrieve statistics for transport %d", (int)id);
-		return (0); /* continue on to the next transport */
+		return;
 	}
 
 	for (mp = g_mods; mp != NULL; mp = mp->m_next) {
@@ -392,7 +396,7 @@
 	if (mp == NULL && (mp = modstat_create(NULL, id)) == NULL) {
 		warn("failed to allocate memory for transport %d", (int)id);
 		(void) fmd_adm_stats_free(g_adm, &ams);
-		return (0);
+		return;
 	}
 
 	modstat_compute(mp, &ams);
@@ -412,7 +416,6 @@
 	    mp->m_new->module.fmds_value.str);
 
 	(void) fmd_adm_stats_free(g_adm, &ams);
-	return (0);
 }
 
 static void
@@ -426,7 +429,7 @@
 		die("failed to retrieve list of transports");
 }
 
-static int
+static void
 stat_one_xprt_auth(id_t id, void *arg)
 {
 	const char *module = arg;
@@ -435,7 +438,7 @@
 
 	if (fmd_adm_xprt_stats(g_adm, id, &ams) != 0) {
 		warn("failed to retrieve statistics for transport %d", (int)id);
-		return (0); /* continue on to the next transport */
+		return;
 	}
 
 	for (mp = g_mods; mp != NULL; mp = mp->m_next) {
@@ -446,7 +449,7 @@
 	if (mp == NULL && (mp = modstat_create(NULL, id)) == NULL) {
 		warn("failed to allocate memory for transport %d", (int)id);
 		(void) fmd_adm_stats_free(g_adm, &ams);
-		return (0);
+		return;
 	}
 
 	modstat_compute(mp, &ams);
@@ -461,7 +464,6 @@
 	}
 
 	(void) fmd_adm_stats_free(g_adm, &ams);
-	return (0);
 }
 
 static void
--- old/usr/src/lib/fm/libfmd_adm/common/fmd_adm.h	Thu Jan 17 14:53:10 2019
+++ new/usr/src/lib/fm/libfmd_adm/common/fmd_adm.h	Thu Jan 17 14:53:10 2019
@@ -24,11 +24,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #ifndef	_FMD_ADM_H
 #define	_FMD_ADM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <fm/fmd_api.h>
 
 #ifdef	__cplusplus
@@ -129,7 +131,7 @@
     fmd_adm_serd_f *, void *);
 extern int fmd_adm_serd_reset(fmd_adm_t *, const char *, const char *);
 
-typedef int fmd_adm_xprt_f(id_t, void *);
+typedef void fmd_adm_xprt_f(id_t, void *);
 
 extern int fmd_adm_xprt_iter(fmd_adm_t *, fmd_adm_xprt_f *, void *);
 extern int fmd_adm_xprt_stats(fmd_adm_t *, id_t, fmd_adm_stats_t *);
